<?php

namespace App;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Dyrynda\Database\Support\CascadeSoftDeletes;
use Illuminate\Database\Eloquent\SoftDeletes;
use Route;

class Katartikel extends Model
{
    use HasFactory;

    protected $fillable = ['katartikel_id','nama','keterangan'];

    public function backendp()
    {
        return $this->hasMany('App\Backendp');
    }
    public function laravel()
    {
        return $this->hasMany('App\Laravel');
    }
    // public function eoffice()
    // {
    //     return $this->hasOne('App\Eoffice');
    // }

    public function forum()
    {
        return $this->hasOne('App\Forum');
    }

    public function forumeoffice()
    {
        return $this->hasOne('App\ForumEoffice');
    }

    public function artikel()
    {
        return $this->hasMany('App\Artikel');
    }


}
